
package org.teleal.cling.support.contentdirectory.descriptor.dc;

import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.teleal.cling.support.contentdirectory.descriptor.dc package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.teleal.cling.support.contentdirectory.descriptor.dc
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Rights }}
     * 
     */
    @XmlElementDecl(namespace = "http://purl.org/dc/elements/1.1/", name = "rights")
    public Rights createRights(String value) {
        return new Rights(value);
    }

    /**
     * Create an instance of {@link Relation }}
     * 
     */
    @XmlElementDecl(namespace = "http://purl.org/dc/elements/1.1/", name = "relation")
    public Relation createRelation(String value) {
        return new Relation(value);
    }

    /**
     * Create an instance of {@link Date }}
     * 
     */
    @XmlElementDecl(namespace = "http://purl.org/dc/elements/1.1/", name = "date")
    public Date createDate(String value) {
        return new Date(value);
    }

    /**
     * Create an instance of {@link Publisher }}
     * 
     */
    @XmlElementDecl(namespace = "http://purl.org/dc/elements/1.1/", name = "publisher")
    public Publisher createPublisher(String value) {
        return new Publisher(value);
    }

    /**
     * Create an instance of {@link Creator }}
     * 
     */
    @XmlElementDecl(namespace = "http://purl.org/dc/elements/1.1/", name = "creator")
    public Creator createCreator(String value) {
        return new Creator(value);
    }

    /**
     * Create an instance of {@link Language }}
     * 
     */
    @XmlElementDecl(namespace = "http://purl.org/dc/elements/1.1/", name = "language")
    public Language createLanguage(String value) {
        return new Language(value);
    }

    /**
     * Create an instance of {@link Title }}
     * 
     */
    @XmlElementDecl(namespace = "http://purl.org/dc/elements/1.1/", name = "title")
    public Title createTitle(String value) {
        return new Title(value);
    }

    /**
     * Create an instance of {@link Contributor }}
     * 
     */
    @XmlElementDecl(namespace = "http://purl.org/dc/elements/1.1/", name = "contributor")
    public Contributor createContributor(String value) {
        return new Contributor(value);
    }

    /**
     * Create an instance of {@link Description }}
     * 
     */
    @XmlElementDecl(namespace = "http://purl.org/dc/elements/1.1/", name = "description")
    public Description createDescription(String value) {
        return new Description(value);
    }

}
